# class IAXInfoElementBinary | A single IAX2 numeric Information Element. More...
Full name | `TelEngine::IAXInfoElementBinary`
Definition | `#include <libs/yiax/yateiax.h>`
Inherits | TelEngine::IAXInfoElement [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- IAXInfoElementBinary (Type type, unsigned char* buf, unsigned len)
- virtual ~IAXInfoElementBinary ()
- inline int length () const
- inline DataBlock& data ()
- inline void setData (void* buf, unsigned len)
- virtual void toBuffer (DataBlock& buf)
- virtual void toString (String& buf)

#### Public Static Methods

- static IAXInfoElementBinary* packIP (const SocketAddr& addr)
- static bool unpackIP (SocketAddr& addr, IAXInfoElementBinary* ie)

## Detailed Description

This class holds a single Information Element with binary data

IAXInfoElementBinary (Type type, unsigned char* buf, unsigned len) | ### IAXInfoElementBinary

Constructor

Parameters:

type | Type of this IE
buf | Source buffer to construct this IE
len | Buffer length

~IAXInfoElementBinary () | ### ~IAXInfoElementBinary

[virtual]

Destructor

inline int length () | ### length

[const]

Get the data length

Returns: The data length

inline DataBlock& data () | ### data

Get the data

Returns: The data

inline void setData (void* buf, unsigned len) | ### setData

Set the data

Parameters:

buf | Source buffer to construct this IE
len | Buffer length

void toBuffer (DataBlock& buf) | ### toBuffer

[virtual]

Constructs a buffer containing this Information Element

Parameters:

buf | Destination buffer

Reimplemented from IAXInfoElement.

IAXInfoElementBinary* packIP (const SocketAddr& addr) | ### packIP

[static]

Constructs an APPARENT_ADDR information element from a SocketAddr object

Parameters:

addr | Source object

Returns: A valid IAXInfoElementBinary pointer

bool unpackIP (SocketAddr& addr, IAXInfoElementBinary* ie) | ### unpackIP

[static]

Decode an APPARENT_ADDR information element and copy it to a SocketAddr object

Parameters:

addr | Destination object
ie | Source IE

Returns: False if ie is 0

void toString (String& buf) | ### toString

[virtual]

Add this element to a string

Parameters:

buf | Destination string

Reimplemented from IAXInfoElement.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.